# Class: YARD::CLI::List

Inherits:
  Command
  - Object
  - Command
  - YARD::CLI::List
  show all

Defined in:
  lib/yard/cli/list.rb

## Overview

Lists all constant and method names in the codebase. Uses Yardoc –list.

## Instance Method Summary collapse

- #description ⇒ Object
- #run(*args) ⇒ void

  Runs the commandline utility, parsing arguments and displaying a list of objects.

## Instance Method Details

### #description ⇒ `Object`

    6

    # File 'lib/yard/cli/list.rb', line 6

    def description; 'Lists all constant and methods. Uses `yard doc --list`' end

### #run(*args) ⇒ `void`

This method returns an undefined value.

Runs the commandline utility, parsing arguments and displaying a list of objects

Parameters:

- args (`Array<String>`) —

  the list of arguments.

    13
    14
    15
    16
    17
    18
    19
    20

    # File 'lib/yard/cli/list.rb', line 13

    def run(*args)
      if args.include?('--help')
        log.puts "Usage: yard list [yardoc_options]"
        log.puts "Takes the same arguments as yardoc. See yardoc --help"
      else
        Yardoc.run('-c', '--list', *args)
      end
    end